# G-LBM: Generative Low-dimensional Background Modeling
This directory includes two folders:
- Videos: contains sample videos from SBMnet2016 and BMC2012 datasets
From SBMnet-2016: 
ground-truth is a still image, we provided the videos that the ground-truth background image was available to users.
Frame rates are 15fr/sec unless otherwise provided
1) Basic_511.mp4: 
2) jitter_boulevard.mp4:
3) veryShort_dynamicBackground.mp4: 1 fr/sec 
4) veryLong_BusStopMorning.mp4
From BMC2012: 
There were no ground-truth available to us, both videos are among long videos with more than an hour duration. We showed 600 consecutive frames
Frame rates for visualizations are 15fr/sec unless otherwise provided
1) Video_001.mp4
2) Video_005.mp4

- Code:
1) deep_model.py: includes the snippet for constructing the auto-encoding network
2) util.py: utility functions and classes for training and loading     data
3) train_singleVid.py: training snippet to be executed for a single video
4) train_multiVid.py: training snippet to be executed for multiple videos
5) test.py: loads the saved checkpoint and apply the model on the given data and save the results
	



